Bug 866259 - [abrt] calibre-0.8.33-2.fc16: genericpath.py:29:isfile:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe8' in position 78: ordinal not in range(128)
[abrt] calibre-0.8.33-2.fc16: genericpath.py:29:isfile:UnicodeEncodeError: 'a...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:d53c60c6c5b2b51b1666dcac5bd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 18:10 EDT by Rubyo
Modified: 2013-02-13 20:47 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:47:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rubyo 2012-10-14 18:10:16 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
cmdline:        python2 /usr/bin/calibre-parallel
executable:     /usr/bin/calibre-parallel
kernel:         3.4.11-1.fc16.x86_64
time:           Sun 14 Oct 2012 10:12:32 PM WEST
uid:            1000
username:       stefano

backtrace:
:genericpath.py:29:isfile:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe8' in position 78: ordinal not in range(128)
:
:Traceback (most recent call last):
:  File "/usr/bin/calibre-parallel", line 19, in <module>
:    sys.exit(main())
:  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 186, in main
:    result = func(*args, **kwargs)
:  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 25, in gui_convert
:    plumber.run()
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 968, in run
:    encoding=self.input_plugin.output_encoding)
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 1114, in create_oebbook
:    reader()(oeb, path_or_stream)
:  File "/usr/lib64/calibre/calibre/ebooks/oeb/reader.py", line 70, in __call__
:    self._all_from_opf(opf)
:  File "/usr/lib64/calibre/calibre/ebooks/oeb/reader.py", line 616, in _all_from_opf
:    self._manifest_from_opf(opf)
:  File "/usr/lib64/calibre/calibre/ebooks/oeb/reader.py", line 259, in _manifest_from_opf
:    self._manifest_add_missing(invalid)
:  File "/usr/lib64/calibre/calibre/ebooks/oeb/reader.py", line 220, in _manifest_add_missing
:    if not self.oeb.container.exists(href):
:  File "/usr/lib64/calibre/calibre/ebooks/oeb/base.py", line 448, in exists
:    return os.path.isfile(path)
:  File "/usr/lib64/python2.7/genericpath.py", line 29, in isfile
:    st = os.stat(path)
:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe8' in position 78: ordinal not in range(128)
:
:Local variables in innermost frame:
:path: u"/tmp/calibre_0.8.33_tmp_ZY3EMJ/e5kBRe_plumber/feed_5/article_0/Lo Shuttle ora \xe8 tornato \xe8 casa l'ultimo viaggio verso il museo Le foto del trasferimento - Il video"
Comment 1 Kevin Fenzi 2012-10-15 12:17:02 EDT
Can you see if this persists with the newer version from my side repo?

su
cd /etc/yum.repos.d
wget http://repos.fedorapeople.org/repos/kevin/calibre/fedora-calibre.repo
yum clean all
yum update calibre
Comment 2 Fedora End Of Life 2013-01-16 18:24:44 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 20:47:54 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.